Đến nội dung


Hình ảnh
- - - - -

Xin giúp lấy lại cao độ trong Nova


  • Please log in to reply
4 replies to this topic

#1 nguyennam2907

nguyennam2907

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 05 March 2014 - 09:58 PM

Hiện mình đang làm tốt nghiệp bên đường đô thị. Mìnnh có xin được cái bình đồ quy hoạch của đô thị Hà Tĩnh, nhưng không lấy lại được cao độ của các điểm trong bình đồ! Nhờ các cao thủ lấy lại giúp mình với! MÌnh xin cảm ơn.
P/s: nếu được nhờ anh em gửi vào mail nguyennam0709@gmail.com dùm mình với! Thân.

http://www.mediafire...M TUYEN R14.dwg


  • -1

#2 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 06 March 2014 - 09:49 AM

Cái này có nghĩa là bạn muốn nhận lại cao độ của các điểm đo ?!

Nếu vậy, có 2 cách:

1. Dùng HS để nhận text và tạo mô hình.

2. Lisp: vòng lặp qua các text có hieght = 3.6 (BV của bạn), tạo point có toạ độ X, Y là X, Y của text, Z = (distof) text.

Được point rồi thì Nova đã làm việc đc.

p/s:

Đang bận nên ko làm luôn cho bạn đc, nếu bạn có thể đợi thì mình làm sau vậy


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#3 nguyennam2907

nguyennam2907

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 March 2014 - 12:45 PM

Cái này có nghĩa là bạn muốn nhận lại cao độ của các điểm đo ?!

Nếu vậy, có 2 cách:

1. Dùng HS để nhận text và tạo mô hình.

2. Lisp: vòng lặp qua các text có hieght = 3.6 (BV của bạn), tạo point có toạ độ X, Y là X, Y của text, Z = (distof) text.

Được point rồi thì Nova đã làm việc đc.

p/s:

Đang bận nên ko làm luôn cho bạn đc, nếu bạn có thể đợi thì mình làm sau vậy

 Cảm ơn bạn đã đọc bài, mình làm mà không được! Bạn giúp được thì tốt quá, cũng không gấp lắm vì chủ nhật này mình mới cần bạn à. 


  • 0

#4 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 09 March 2014 - 12:12 PM

Tạm thế này đã

Bạn thử xem, nếu vướng chổ nào thì làm tiếp

 

Lisp tạo point:

(defun c:mp( / ss sl i x y z int_pt)
;make point
(prompt "\nChon vung co text cao do: ")
(setq ss (ssget '((0 . "TEXT") (40 . 3.6)))
sl (sslength ss)
i 0
)
(while (and ss (> (sslength ss) 0))
	(cond
		((setq z (distof (cdr (assoc 1 (entget (setq ent (ssname ss 0)))))))
		(setq x (car (setq int_pt (cdr (assoc 10 (entget (setq ent (ssname ss 0)))))))
			  y (cadr int_pt)
			  i (1+ i))
		(entmake (list (cons 0 "POINT") (list 10 x y z)))
		)
	)
(ssdel ent ss)
)
(princ (strcat "\nDa tao " (itoa i) " point cao do !"))
(princ)
)

  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#5 nguyennam2907

nguyennam2907

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 10 March 2014 - 03:21 PM

Cảm ơn bạn đã giúp nhiệt tình nhé! Để mình làm thử xem thế nào!


  • 0